<app-hero-search></app-hero-search>

<h2> TOP HEROES</h2>

<div class="row">
	<div class="col-12">
		<div class="col-3 flip-container" *ngFor="let heroImg of topHeroesImg">
			<div class="flip-cards">
				<a routerLink="/info/{{heroImg.id}}" (mouseenter)="idFlipAudio.play()">
					<div class="front-card"><img class="hero-image" src="../assets/marvel-heroes/{{heroImg.image}}.png" onerror="this.onerror=null;this.src='../assets/marvel-heroes/unknown.png'"></div>
					<div class="reverse-card"><span class="hero-name">{{heroImg.name}}</span></div>
				</a>
			</div>
		</div>
	</div>
</div>

<audio #idFlipAudio><source src="../assets/flip.mp3"></audio>